#include "AboutDialog.h"

#include <QDialogButtonBox>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QLabel>

AboutDialog::AboutDialog(QWidget *parent) : QDialog(parent) {
  setWindowTitle("About program...");
  resize(QSize(400, 260));

  QVBoxLayout *vlayout = new QVBoxLayout(this);
  setLayout(vlayout);

  QHBoxLayout *hlayout = new QHBoxLayout(this);
  
  QLabel *logoLabel = new QLabel(this);
  QImage pic("/home/student/KRPO_Lab_0x06/task_01/miet.png");
  logoLabel->setPixmap(QPixmap::fromImage(pic));
  hlayout->addWidget(logoLabel);

  QString htmlText =
    "Options:"
    "<ul>"
    "<li>option 1</li>"
    "<li>option <b>2</b></li>"
    "<li>option <i>1</i></li>"
    "</ul>";

  QLabel *label = new QLabel(htmlText, this);
  hlayout->addWidget(label);

  vlayout->addLayout(hlayout);

  QDialogButtonBox *buttonBox = new QDialogButtonBox(QDialogButtonBox::Ok);
  connect(buttonBox, SIGNAL(accepted()), this, SLOT(accept()));

  vlayout->addWidget(buttonBox);
}
